Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
se7enOffline
Post subject:   PostPosted: 05.04.2011, 01:24



Joined: 2010-09-11
Posts: 164

Status: Offline
today multiple removes again gimp and co.

The following packages will be REMOVED:
bleachbit deskbar-applet deskbar-plugins-strigi gimp gimp-gmic gimp-plugin-registry gimp-resynthesizer gimp-ufraw python-glade2 python-gnome2 python-gnomeapplet python-gnomedesktop python-gnomekeyring
python-gtk2 python-wnck

_________________
Don't mention the war!
Meine Meinung steht fest! Bitte verwirren Sie mich nicht mit Tatsachen!
 
 View user's profile Send private message  
Reply with quote Back to top
doctordruidphdOffline
Post subject:   PostPosted: 05.04.2011, 02:02



Joined: 2010-09-12
Posts: 22
Location: Pacific Northwest, US
Status: Offline
      Code:
root@Wolfenstein:/# apt-get -d dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  alacarte arista audacious audtty bleachbit cameramonitor catfish compizconfig-settings-manager
  computer-janitor-gtk computertemp conduit deskbar-applet devede dragbox emma eog-plugins exaile
  exfalso gdebi gedit gedit-plugins gimagereader gimp gimp-gap gimp-gluas gimp-gmic gimp-gutenprint
  gimp-plugin-registry gimp-resynthesizer gimp-texturize gimp-ufraw gjots2 gnome-about gnome-applets
  gnome-codec-install gnome-control-center gnome-core gnome-games gnome-menus gnome-panel
  gnome-session gnome-swallow-applet gnomecatalog gnumeric-plugins-extra gtg gtkam-gimp gufw
  hamster-applet hotssh kupfer mypaint nautilus-clamscan nautilus-scripts-manager ntfs-config
  oggconvert openshot pessulus pitivi postr python-aptdaemon-gtk python-bugbuddy python-evolution
  python-glade2 python-gmenu python-gnome2 python-gnomeapplet python-gnomedesktop
  python-gnomekeyring python-gtk2 python-gtksourceview2 python-gtkspell python-keybinder
  python-mmkeys python-nautilus python-notify python-poppler python-pygoocanvas python-vte
  python-webkit python-wnck rednotebook rhythmbox rhythmbox-plugin-cdrecorder rhythmbox-plugins
  sbackup scribes smart-notifier software-center software-properties-gtk soundconverter
  startupmanager system-config-lvm totem-plugins transmageddon update-manager-gnome update-notifier
The following packages have been kept back:
  gnome-icon-theme-extras
The following packages will be upgraded:
  avahi-daemon efax-gtk enigmail libapache2-mod-php5 libaudclient2 libaudcore1 libavahi-client-dev
  libavahi-client3 libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-core7
  libavahi-glib1 libavahi-gobject0 libavahi-qt3-1 libavahi-ui0 libcln6 libprelude2 openssh-client
  openssh-server php-pear php5 php5-cgi php5-cli php5-common php5-gd php5-ldap php5-mcrypt
  php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase
  php5-tidy php5-xsl pi python-apt python-apt-common python-numpy ssh-askpass-gnome texmacs
  texmacs-common
45 upgraded, 0 newly installed, 96 to remove and 1 not upgraded.
Need to get 27.9 MB of archives.
After this operation, 208 MB disk space will be freed.
Do you want to continue [Y/n]?


Not good. But I don't see any attempt to install libgtk-anything. Putting a hold on the libgtk package did not stop it from threatening to remove all this stuff.
 
 View user's profile Send private message  
Reply with quote Back to top
se7enOffline
Post subject:   PostPosted: 05.04.2011, 03:40



Joined: 2010-09-11
Posts: 164

Status: Offline
looks like a 64bit problem. My 32bit system has no removes.

_________________
Don't mention the war!
Meine Meinung steht fest! Bitte verwirren Sie mich nicht mit Tatsachen!
 
 View user's profile Send private message  
Reply with quote Back to top
CarnophageOffline
Post subject:   PostPosted: 05.04.2011, 05:32



Joined: 2010-09-12
Posts: 59

Status: Offline
Looks like python-numpy and/or python-scipy is the cause in my case. Everything else (openssh-client and libpango1.0-0) updated without problems.

[edit]
amd64 here.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
muchan
Post subject:   PostPosted: 05.04.2011, 08:54
Moderator


Joined: 2010-09-11
Posts: 468

When one problem is solved, and similar problem reoccured, it is not good idea to
revive and continue old thread, since the cause of the problem may be different.

So, I'd split it as new warning thread. OK?

{ sorry, I mad mistake at spliting. I want to merge the two incorrectly split threads... but I'm newbie moderator and cannot find how. 8( }


//edit by DonKult: I did it for you: You can find the merge button right side the split button next time Wink
(oh, and before someone starts a investigation case: i deleted your other post with the same text and i avoid posting formal stuff in a discussion thread by editing other posts… how bad am I? Cool
 
 View user's profile Send private message  
Reply with quote Back to top
doctordruidphdOffline
Post subject:   PostPosted: 05.04.2011, 13:50



Joined: 2010-09-12
Posts: 22
Location: Pacific Northwest, US
Status: Offline
Yes, I believe it is a python-numpy problem. I tried doing a "upgrade" (as opposed to "dist-upgrade") and it shows it is holding back python-numpy, but not removing anything. And yes, this is a 64-bit system. So I guess I wait on the dist-upgrade.
 
 View user's profile Send private message  
Reply with quote Back to top
DonKultOffline
Post subject:   PostPosted: 05.04.2011, 14:33
Team Member


Joined: 2010-09-02
Posts: 481

Status: Offline
      doctordruidphd wrote:
Yes, I believe it is a python-numpy problem. I tried doing a "upgrade" (as opposed to "dist-upgrade") and it shows it is holding back python-numpy, but not removing anything.
Sure doesn't remove it anything as "upgrade" is not allowed to remove a package (and not to install new packages), so a solution consists only of kept back packages and such which can be upgraded. Its just that we frequently need to allow to remove packages as well as the installation of new packages, so we discourage the use of upgrade (as partial upgrades are not well tested - if at all).

_________________
MfG. DonKult
"I never make stupid mistakes. Only very, very clever ones." ~ The Doctor
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
CarnophageOffline
Post subject:   PostPosted: 05.04.2011, 16:50



Joined: 2010-09-12
Posts: 59

Status: Offline
Updated versions of python-gtk2 and pythnon-glade2 hit the repo and python-numpy seems to install correctly.
In my case problem of many removals solved.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
doctordruidphdOffline
Post subject:   PostPosted: 05.04.2011, 19:42



Joined: 2010-09-12
Posts: 22
Location: Pacific Northwest, US
Status: Offline
As of right now (1938 UTC) the problem of removes is gone. Looks like it wants to install several python packages, including numpy, so I guess the problem on my system is resolved.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio